Projects API
POST/api/projects/templates/{templateId}/apply
Product availabilityAlgaPSA

Create project from template

Creates a new project from the template, copying the selected parts (phases, statuses, tasks, etc.).

RBAC · project

Path parameters

templateIdstring <uuid>Required

Request body

Content type: application/json · schema ProjectTemplateApplyBody

project_namestringRequired
min length 1
client_idstring <uuid>Required
start_datestring <date-time>
assigned_tostring <uuid>
optionsobject
Which parts of the template to copy when applying it.
copyPhasesboolean
copyStatusesboolean
copyTasksboolean
copyDependenciesboolean
copyChecklistsboolean
copyServicesboolean
assignmentOptionstring

Response body

Success response 201 · schema UnversionedV1Success

dataanyOfRequired
anyOf (option 1)object
anyOf (option 2)array of object
itemsobject
metaobject

Response codes

201
Project created from template.
400
Invalid request.
401
API key missing/invalid.
403
Caller lacks the required permission.
404
Template not found.
500
Unexpected error.